¿Cómo comstackr php para habilitar el soporte de webp?

mientras compilo php 5.5.10 muchas veces, pero aún no puedo obtener compatibilidad con webp habilitado, que se describe por ” http://cn2.php.net/manual/zh/function.imagewebp.php “. aquí está mi configuración de comstackción:

CentOS release 5.8 (Final) x86_64 freetype-2.4.6 jpeg-8c libpng-1.2.35 gd-2.1.0 

comando de comstackción php

 ./configure --prefix=/apps/lib/php-5.5.10 --with-mysql=mysqlnd --with-mysqli=mysqlnd --with-pdo-mysql=mysqlnd --enable-mysqlnd --enable-fpm --enable-mbstring --enable-mbregex --with-zlib-dir=/apps/lib/zlib --enable-pcntl --enable-sockets --enable-ftp --enable-soap --enable-bcmath --disable-debug --enable-sockets --enable-inline-optimization --disable-rpath --with-mysql=/apps/svr/mysql5 --with-libxml-dir=/apps/lib/libxml --with-jpeg-dir=/apps/lib/jpeg --with-iconv-dir=/apps/lib/libiconv --with-mcrypt=/apps/lib/libmcrypt --with-freetype-dir=/apps/lib/freetype --with-gd=/apps/lib/gd-2.1.0 --with-openssl-dir=/apps/lib/openssl --with-openssl=/apps/lib/openssl --with-curl=/apps/lib/curl --with-png-dir=/apps/lib/libpng --enable-opcache=no 

y finalmente obtener esta salida para gd

 gd GD Support => enabled GD Version => 2.1.0-alpha FreeType Support => enabled FreeType Linkage => with freetype FreeType Version => 2.4.6 GIF Read Support => enabled GIF Create Support => enabled JPEG Support => enabled libJPEG Version => 8 PNG Support => enabled libPNG Version => 1.2.35 WBMP Support => enabled XPM Support => enabled libXpm Version => 30411 XBM Support => enabled 

mientras sigo los pasos de ‘ http://techglimpse.com/install-upgrade-php55-yum/ ‘ para instalar php 5.5.9 usando remi.repo, finalmente obtengo la señal de éxito de esta salida para gd

 gd GD Support => enabled GD Version => 2.1.0 FreeType Support => enabled FreeType Linkage => with freetype FreeType Version => 2.2.1 T1Lib Support => enabled GIF Read Support => enabled GIF Create Support => enabled JPEG Support => enabled libJPEG Version => 6b PNG Support => enabled libPNG Version => 1.2.10 WBMP Support => enabled XPM Support => enabled libXpm Version => 30411 XBM Support => enabled WebP Support => enabled 

Para la preocupación del administrador del sistema, necesito implementar php con la versión de comstackción. ¿Extrañé algo importante mientras compilé php o lib gd ?

Para habilitar la compatibilidad con WebP, debe agregar --with-vpx-dir= a su línea de configuración (y, por supuesto, tener libvpx instalado). Ver también https://bugs.php.net/bug.php?id=64476 .